Google Maps
Search for places and get detailed business information from Google Maps.
- Search: Find places by query
- Places: Get detailed business info (hours, photos, popular times, etc.)
- Multi-language support via
languageparameter
Search
GET /gmaps/places/search — 2 credits
Search Google Maps for places matching a query.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
q | string | Yes | — | Search query (e.g. “coffee shops in Tokyo”) |
language | string | No | en | Language code (e.g. en, ja, zh-TW) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/gmaps/places/search?q=coffee+shops+in+Tokyo&language=en"Response
{
"query": "coffee shops in Tokyo",
"resultType": "list",
"places": [
{
"name": "Blue Bottle Coffee",
"category": "Coffee shop",
"address": "1-2-3 Shibuya, Tokyo, Japan",
"website": "https://bluebottlecoffee.com",
"rating": 4.5,
"description": "Hip cafe for gourmet coffee & pastries",
"lat": 35.6595,
"lng": 139.7004,
"placeId": "ChIJ...",
"photoCount": 500
}
],
"totalResults": 20
}Places
GET /gmaps/places — 3 credits
Get detailed information about a Google Maps place.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | Yes | — | Place name or full Google Maps URL |
language | string | No | en | Language code (e.g. en, ja, zh-TW) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/gmaps/places?query=Blue+Bottle+Coffee+Tokyo&language=en"Response
{
"name": "Blue Bottle Coffee",
"category": "Coffee shop",
"address": "1-2-3 Shibuya, Tokyo, Japan",
"website": "https://bluebottlecoffee.com",
"phone": "+81 3-1234-5678",
"rating": 4.5,
"reviewCount": 1691,
"ratingDistribution": { "1": 148, "2": 49, "3": 116, "4": 341, "5": 1037 },
"reviewHighlights": [
"The service was fantastic and the staff was happy to engage.",
"Best coffee I've ever had, the matcha latte was incredible."
],
"description": "Hip cafe for gourmet coffee & pastries",
"lat": 35.6595,
"lng": 139.7004,
"placeId": "ChIJ...",
"visitDuration": "People typically spend 30 min to 1 hr here",
"photos": ["https://lh3.googleusercontent.com/..."],
"popularTimes": {
"Monday": { "6": 0, "7": 15, "8": 30, "9": 50, "10": 65 },
"Tuesday": { "6": 0, "7": 20, "8": 35, "9": 55, "10": 70 }
},
"currentPopularity": 65,
"additionalInfo": {
"Service options": [{ "Takeout": true }, { "Dine-in": true }],
"Accessibility": [{ "Wheelchair accessible entrance": true }],
"Amenities": [{ "Wi-Fi": true }, { "Restroom": true }]
},
"priceLevel": "$$",
"hours": {
"Monday": "7:00 AM – 7:00 PM",
"Tuesday": "7:00 AM – 7:00 PM",
"Wednesday": "7:00 AM – 7:00 PM",
"Thursday": "7:00 AM – 7:00 PM",
"Friday": "7:00 AM – 8:00 PM",
"Saturday": "8:00 AM – 8:00 PM",
"Sunday": "8:00 AM – 6:00 PM"
},
"businessStatus": "Open",
"peopleAlsoSearch": [
{ "name": "Starbucks Reserve", "rating": 4.3, "reviewCount": 2100 }
]
}Last updated on